/////////////////////////////////////////////////////////////////////////
///@company AcceleCom
///@file CXeleFtdcUserApiDataType.h
///@brief 定义了客户端接口使用的业务数据类型
///@history 
/////////////////////////////////////////////////////////////////////////

#ifndef XELE_FTDCDATATYPE_H
#define XELE_FTDCDATATYPE_H

enum XELE_TE_RESUME_TYPE
{
	XELE_TERT_RESTART = 0,
	XELE_TERT_RESUME,
	XELE_TERT_QUICK
};

#define XELE_TSS_DIALOG  1		//对话流
#define XELE_TSS_PRIVATE  2		//会员私有流
#define XELE_TSS_PUBLIC  3	 //公共流
#define XELE_TSS_QUERY  4		//查询
#define XELE_TSS_USER  5		//交易员私有流
#define XELE_TSS_FORQUOTE  6		//询价流

/////////////////////////////////////////////////////////////////////////
///TFtdcErrorIDType是一个错误代码类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcErrorIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcPriorityType是一个优先权类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcPriorityType;

/////////////////////////////////////////////////////////////////////////
///TFtdcSettlementIDType是一个结算编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcSettlementIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcMonthCountType是一个月份数量类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcMonthCountType;

/////////////////////////////////////////////////////////////////////////
///TFtdcTradingSegmentSNType是一个交易阶段编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcTradingSegmentSNType;

/////////////////////////////////////////////////////////////////////////
///TFtdcVolumeType是一个数量类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcVolumeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcTimeSortIDType是一个按时间排队的序号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcTimeSortIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcFrontIDType是一个前置编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcFrontIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcSessionIDType是一个会话编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcSessionIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcSequenceNoType是一个序列号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcSequenceNoType;

/////////////////////////////////////////////////////////////////////////
///TFtdcBulletinIDType是一个公告编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcBulletinIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcInformationIDType是一个信息编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcInformationIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcMillisecType是一个时间（毫秒）类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcMillisecType;

/////////////////////////////////////////////////////////////////////////
///TFtdcVolumeMultipleType是一个合约数量乘数类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcVolumeMultipleType;

/////////////////////////////////////////////////////////////////////////
///TFtdcImplyLevelType是一个派生层数类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcImplyLevelType;

/////////////////////////////////////////////////////////////////////////
///TFtdcStartPosType是一个起始位置类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcStartPosType;

/////////////////////////////////////////////////////////////////////////
///TFtdcDataCenterIDType是一个数据中心代码类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcDataCenterIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcAliasType是一个别名类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAliasType[3];

/////////////////////////////////////////////////////////////////////////
///TFtdcOriginalTextType是一个原文类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcOriginalTextType[3];

/////////////////////////////////////////////////////////////////////////
///TFtdcParticipantIDType是一个会员代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcParticipantIDType[11];

/////////////////////////////////////////////////////////////////////////
///TFtdcParticipantNameType是一个会员名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcParticipantNameType[51];

/////////////////////////////////////////////////////////////////////////
///TFtdcParticipantAbbrType是一个会员简称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcParticipantAbbrType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcUserIDType是一个交易用户代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcUserIDType[16];

/////////////////////////////////////////////////////////////////////////
///TFtdcPasswordType是一个密码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcPasswordType[41];

/////////////////////////////////////////////////////////////////////////
///TFtdcClientIDType是一个客户代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcClientIDType[11];

/////////////////////////////////////////////////////////////////////////
///TFtdcInstrumentIDType是一个合约代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcInstrumentIDType[31];

/////////////////////////////////////////////////////////////////////////
///TFtdcProductIDType是一个产品代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProductIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcProductNameType是一个产品名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProductNameType[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcExchangeIDType是一个交易所代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcExchangeIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcDateType是一个日期类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcDateType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcTradingDayType是一个交易日期类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcTradingDayType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcTimeType是一个时间类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcTimeType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcInstrumentNameType是一个合约名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcInstrumentNameType[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcProductGroupIDType是一个产品组代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProductGroupIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcProductGroupNameType是一个产品组名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProductGroupNameType[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcMarketIDType是一个市场代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcMarketIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcSettlementGroupIDType是一个结算组代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcSettlementGroupIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderSysIDType是一个报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcOrderSysIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcOTCOrderSysIDType是一个OTC报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcOTCOrderSysIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcExecOrderSysIDType是一个执行宣告系统编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcExecOrderSysIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcQuoteSysIDType是一个报价编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcQuoteSysIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcTradeIDType是一个成交编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcTradeIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderLocalIDType是一个本地报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcOrderLocalIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcComeFromType是一个消息来源类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcComeFromType[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcAccountIDType是一个资金帐号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAccountIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcNewsTypeType是一个公告类型类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcNewsTypeType[3];

/////////////////////////////////////////////////////////////////////////
///TFtdcAdvanceMonthType是一个提前月份类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAdvanceMonthType[4];

/////////////////////////////////////////////////////////////////////////
///TFtdcCommodityIDType是一个商品代码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcCommodityIDType[9];

/////////////////////////////////////////////////////////////////////////
///TFtdcIPAddressType是一个IP地址类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcIPAddressType[16];

/////////////////////////////////////////////////////////////////////////
///TFtdcProductInfoType是一个产品信息类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProductInfoType[41];

/////////////////////////////////////////////////////////////////////////
///TFtdcProtocolInfoType是一个协议信息类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcProtocolInfoType[41];

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcExchangeOrderSysIdType是一个报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcExchangeOrderSysIDType[13];

/////////////////////////////////////////////////////////////////////////
///TFtdcBusinessUnitType是一个业务单元类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcBusinessUnitType[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcTradingSystemNameType是一个交易系统名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcTradingSystemNameType[61];

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcExchangeDescriptorType是一个交易所描述符类型
/////////////////////////////////////////////////////////////////////////
///无效的交易所
#define XELE_FTDC_ED_NULL 0
///上海期货交易所
#define XELE_FTDC_ED_SHFE 1
///上海国际能源交易中心股份有限公司
#define XELE_FTDC_ED_INE 2
///大连商品交易所
#define XELE_FTDC_ED_DCE 3
///郑州商品交易所
#define XELE_FTDC_ED_CZCE 4
///中国金融交易所
#define XELE_FTDC_ED_CFFEX 5
typedef unsigned char TXeleFtdcExchangeDescriptorType;

/////////////////////////////////////////////////////////////////////////
///TFtdcTradingRoleType是一个交易角色类型
/////////////////////////////////////////////////////////////////////////
///代理
#define XELE_FTDC_ER_Broker '1'
///自营
#define XELE_FTDC_ER_Host '2'
///做市商
#define XELE_FTDC_ER_MarketMaker '3'

typedef char TXeleFtdcTradingRoleType;

/////////////////////////////////////////////////////////////////////////
///TFtdcUserTypeType是一个交易用户类型类型
/////////////////////////////////////////////////////////////////////////
///交易员
#define XELE_FTDC_UT_Trader '1'
///交易控制员
#define XELE_FTDC_UT_TradeManager '2'
///行情商用户
#define XELE_FTDC_UT_MDUser '3'
///无授权交易员
#define XELE_FTDC_UT_SingleTrader '4'

typedef char TXeleFtdcUserTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcProductClassType是一个产品类型类型
/////////////////////////////////////////////////////////////////////////
///期货
#define XELE_FTDC_PC_Futures '1'
///期权
#define XELE_FTDC_PC_Options '2'
///组合
#define XELE_FTDC_PC_Combination '3'
///即期
#define XELE_FTDC_PC_Spot '4'
///期转现
#define XELE_FTDC_PC_EFP '5'

typedef char TXeleFtdcProductClassType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOptionsTypeType是一个期权类型类型
/////////////////////////////////////////////////////////////////////////
///非期权
#define XELE_FTDC_OT_NotOptions '0'
///看涨
#define XELE_FTDC_OT_CallOptions '1'
///看跌
#define XELE_FTDC_OT_PutOptions '2'

typedef char TXeleFtdcOptionsTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcInstrumentStatusType是一个合约交易状态类型
/////////////////////////////////////////////////////////////////////////
///开盘前
#define XELE_FTDC_IS_BeforeTrading '0'
///非交易
#define XELE_FTDC_IS_NoTrading '1'
///连续交易
#define XELE_FTDC_IS_Continous '2'
///集合竞价报单
#define XELE_FTDC_IS_AuctionOrdering '3'
///集合竞价价格平衡
#define XELE_FTDC_IS_AuctionBalance '4'
///集合竞价撮合
#define XELE_FTDC_IS_AuctionMatch '5'
///收盘
#define XELE_FTDC_IS_Closed '6'

typedef char TXeleFtdcInstrumentStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcDirectionType是一个买卖方向类型
/////////////////////////////////////////////////////////////////////////
///买
#define XELE_FTDC_D_Buy '0'
///卖
#define XELE_FTDC_D_Sell '1'

typedef char TXeleFtdcDirectionType;

/////////////////////////////////////////////////////////////////////////
///TFtdcPositionTypeType是一个持仓类型类型
/////////////////////////////////////////////////////////////////////////
///净持仓
#define XELE_FTDC_PT_Net '1'
///综合持仓
#define XELE_FTDC_PT_Gross '2'

typedef char TXeleFtdcPositionTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcPosiDirectionType是一个持仓多空方向类型
/////////////////////////////////////////////////////////////////////////
///净
#define XELE_FTDC_PD_Net '1'
///多头
#define XELE_FTDC_PD_Long '2'
///空头
#define XELE_FTDC_PD_Short '3'

typedef char TXeleFtdcPosiDirectionType;

/////////////////////////////////////////////////////////////////////////
///TFtdcExchangeDataSyncStatusType是一个交易所数据同步状态类型
/////////////////////////////////////////////////////////////////////////
///未同步
#define XELE_FTDC_EDS_Asynchronous '1'
///同步中
#define XELE_FTDC_EDS_Synchronizing '2'
///已同步
#define XELE_FTDC_EDS_Synchronized '3'

typedef char TXeleFtdcExchangeDataSyncStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcSGDataSyncStatusType是一个结算组数据同步状态类型
/////////////////////////////////////////////////////////////////////////
///未同步
#define XELE_FTDC_SGDS_Asynchronous '1'
///同步中
#define XELE_FTDC_SGDS_Synchronizing '2'
///已同步
#define XELE_FTDC_SGDS_Synchronized '3'

typedef char TXeleFtdcSGDataSyncStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcHedgeFlagType是一个投机套保标志类型
/////////////////////////////////////////////////////////////////////////
///投机
#define XELE_FTDC_HF_Speculation '1'
///套利
#define XELE_FTDC_HF_Arbitrage '2'
///套保
#define XELE_FTDC_HF_Hedge '3'

typedef char TXeleFtdcHedgeFlagType;

/////////////////////////////////////////////////////////////////////////
///TFtdcClientTypeType是一个客户类型类型
/////////////////////////////////////////////////////////////////////////
///自然人
#define XELE_FTDC_CT_Person '0'
///法人
#define XELE_FTDC_CT_Company '1'
///投资基金
#define XELE_FTDC_CT_Fund '2'

typedef char TXeleFtdcClientTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcInstStatusEnterReasonType是一个品种进入交易状态原因类型
/////////////////////////////////////////////////////////////////////////
///自动切换
#define XELE_FTDC_IER_Automatic '1'
///手动切换
#define XELE_FTDC_IER_Manual '2'
///熔断
#define XELE_FTDC_IER_Fuse '3'
///熔断手动
#define XELE_FTDC_IER_FuseManual '4'

typedef char TXeleFtdcInstStatusEnterReasonType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderPriceTypeType是一个报单价格条件类型
/////////////////////////////////////////////////////////////////////////
///任意价
#define XELE_FTDC_OPT_AnyPrice '1'
///限价
#define XELE_FTDC_OPT_LimitPrice '2'
///最优价
#define XELE_FTDC_OPT_BestPrice '3'
///5档价
#define XELE_FTDC_OPT_FiveLevelPrice '4'

typedef char TXeleFtdcOrderPriceTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOffsetFlagType是一个开平标志类型
/////////////////////////////////////////////////////////////////////////
///开仓
#define XELE_FTDC_OF_Open '0'
///平仓
#define XELE_FTDC_OF_Close '1'
///强平
#define XELE_FTDC_OF_ForceClose '2'
///平今
#define XELE_FTDC_OF_CloseToday '3'
///平昨
#define XELE_FTDC_OF_CloseYesterday '4'

typedef char TXeleFtdcOffsetFlagType;

/////////////////////////////////////////////////////////////////////////
///TFtdcForceCloseReasonType是一个强平原因类型
/////////////////////////////////////////////////////////////////////////
///非强平
#define XELE_FTDC_FCC_NotForceClose '0'
///资金不足
#define XELE_FTDC_FCC_LackDeposit '1'
///客户超仓
#define XELE_FTDC_FCC_ClientOverPositionLimit '2'
///会员超仓
#define XELE_FTDC_FCC_MemberOverPositionLimit '3'
///持仓非整数倍
#define XELE_FTDC_FCC_NotMultiple '4'
///违规
#define XELE_FTDC_FCC_Violation '5'
///其它
#define XELE_FTDC_FCC_Other '6'
///自然人临近交割
#define XELE_FTDC_FCC_PersonDeliv '7'

typedef char TXeleFtdcForceCloseReasonType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderStatusType是一个报单状态类型
/////////////////////////////////////////////////////////////////////////
///全部成交
#define XELE_FTDC_OST_AllTraded '0'
///部分成交还在队列中
#define XELE_FTDC_OST_PartTradedQueueing '1'
///部分成交不在队列中
#define XELE_FTDC_OST_PartTradedNotQueueing '2'
///未成交还在队列中
#define XELE_FTDC_OST_NoTradeQueueing '3'
///未成交不在队列中
#define XELE_FTDC_OST_NoTradeNotQueueing '4'
///撤单
#define XELE_FTDC_OST_Canceled '5'

typedef char TXeleFtdcOrderStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderTypeType是一个报单类型类型
/////////////////////////////////////////////////////////////////////////
///正常
#define XELE_FTDC_ORDT_Normal '0'
///报价衍生
#define XELE_FTDC_ORDT_DeriveFromQuote '1'
///组合衍生
#define XELE_FTDC_ORDT_DeriveFromCombination '2'

typedef char TXeleFtdcOrderTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOTCOrderStatusType是一个OTC报单状态类型
/////////////////////////////////////////////////////////////////////////
///一方输入
#define XELE_FTDC_OOS_Inputed '0'
///已经确认
#define XELE_FTDC_OOS_Confirmed '1'
///已经撤销
#define XELE_FTDC_OOS_Canceled '2'
///已经拒绝
#define XELE_FTDC_OOS_Refused '3'

typedef char TXeleFtdcOTCOrderStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcTimeConditionType是一个有效期类型类型
/////////////////////////////////////////////////////////////////////////
///立即完成，否则撤销
#define XELE_FTDC_TC_IOC '1'
///本节有效
#define XELE_FTDC_TC_GFS '2'
///当日有效
#define XELE_FTDC_TC_GFD '3'
///指定日期前有效
#define XELE_FTDC_TC_GTD '4'
///撤销前有效
#define XELE_FTDC_TC_GTC '5'
///集合竞价有效
#define XELE_FTDC_TC_GFA '6'

typedef char TXeleFtdcTimeConditionType;

/////////////////////////////////////////////////////////////////////////
///TFtdcVolumeConditionType是一个成交量类型类型
/////////////////////////////////////////////////////////////////////////
///任何数量
#define XELE_FTDC_VC_AV '1'
///最小数量
#define XELE_FTDC_VC_MV '2'
///全部数量
#define XELE_FTDC_VC_CV '3'

typedef char TXeleFtdcVolumeConditionType;

/////////////////////////////////////////////////////////////////////////
///TFtdcContingentConditionType是一个触发条件类型
/////////////////////////////////////////////////////////////////////////
///立即
#define XELE_FTDC_CC_Immediately '1'
///止损
#define XELE_FTDC_CC_Touch '2'

typedef char TXeleFtdcContingentConditionType;

/////////////////////////////////////////////////////////////////////////
///TFtdcActionFlagType是一个操作标志类型
/////////////////////////////////////////////////////////////////////////
///删除
#define XELE_FTDC_AF_Delete '0'
///挂起
#define XELE_FTDC_AF_Suspend '1'
///激活
#define XELE_FTDC_AF_Active '2'
///修改
#define XELE_FTDC_AF_Modify '3'

typedef char TXeleFtdcActionFlagType;

/////////////////////////////////////////////////////////////////////////
///TFtdcOrderSourceType是一个报单来源类型
/////////////////////////////////////////////////////////////////////////
///来自参与者
#define XELE_FTDC_OSRC_Participant '0'
///来自管理员
#define XELE_FTDC_OSRC_Administrator '1'

typedef char TXeleFtdcOrderSourceType;

/////////////////////////////////////////////////////////////////////////
///TFtdcTradeTypeType是一个成交类型类型
/////////////////////////////////////////////////////////////////////////
///普通成交
#define XELE_FTDC_TRDT_Common '0'
///期权执行
#define XELE_FTDC_TRDT_OptionsExecution '1'
///OTC成交
#define XELE_FTDC_TRDT_OTC '2'
///期转现衍生成交
#define XELE_FTDC_TRDT_EFPDerived '3'
///组合衍生成交
#define XELE_FTDC_TRDT_CombinationDerived '4'

typedef char TXeleFtdcTradeTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcPriceSourceType是一个成交价来源类型
/////////////////////////////////////////////////////////////////////////
///前成交价
#define XELE_FTDC_PSRC_LastPrice '0'
///买委托价
#define XELE_FTDC_PSRC_Buy '1'
///卖委托价
#define XELE_FTDC_PSRC_Sell '2'

typedef char TXeleFtdcPriceSourceType;

/////////////////////////////////////////////////////////////////////////
///TFtdcAccountStatusType是一个帐户状态类型
/////////////////////////////////////////////////////////////////////////
///激活状态
#define XELE_FTDC_ACCS_Enable '0'
///停止状态
#define XELE_FTDC_ACCS_Disable '1'

typedef char TXeleFtdcAccountStatusType;

/////////////////////////////////////////////////////////////////////////
///TFtdcMemberTypeType是一个会员类型类型
/////////////////////////////////////////////////////////////////////////
///交易会员
#define XELE_FTDC_MT_Trading '0'
///结算会员
#define XELE_FTDC_MT_Settlement '1'
///综合会员
#define XELE_FTDC_MT_Compositive '2'

typedef char TXeleFtdcMemberTypeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcExecResultType是一个执行结果类型
/////////////////////////////////////////////////////////////////////////
///没有执行
#define XELE_FTDC_OER_NoExec 'n'
///已经取消
#define XELE_FTDC_OER_Canceled 'c'
///执行成功
#define XELE_FTDC_OER_OK '0'
///期权持仓不够
#define XELE_FTDC_OER_NoPosition '1'
///资金不够
#define XELE_FTDC_OER_NoDeposit '2'
///会员不存在
#define XELE_FTDC_OER_NoParticipant '3'
///客户不存在
#define XELE_FTDC_OER_NoClient '4'
///合约不存在
#define XELE_FTDC_OER_NoInstrument '6'
///没有执行权限
#define XELE_FTDC_OER_NoRight '7'
///不合理的数量
#define XELE_FTDC_OER_InvalidVolume '8'
///没有足够的历史成交
#define XELE_FTDC_OER_NoEnoughHistoryTrade '9'

typedef char TXeleFtdcExecResultType;

/////////////////////////////////////////////////////////////////////////
///TFtdcYearType是一个年份类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcYearType;

/////////////////////////////////////////////////////////////////////////
///TFtdcMonthType是一个月份类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcMonthType;

/////////////////////////////////////////////////////////////////////////
///TFtdcLegMultipleType是一个单腿乘数类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcLegMultipleType;

/////////////////////////////////////////////////////////////////////////
///TFtdcLegIDType是一个单腿编号类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcLegIDType;

/////////////////////////////////////////////////////////////////////////
///TFtdcBoolType是一个布尔型类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcBoolType;

/////////////////////////////////////////////////////////////////////////
///TFtdcUserActiveType是一个交易员活跃情况类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcUserActiveType;

/////////////////////////////////////////////////////////////////////////
///TFtdcPriceType是一个价格类型
/////////////////////////////////////////////////////////////////////////
typedef double TXeleFtdcPriceType;

/////////////////////////////////////////////////////////////////////////
///TFtdcUnderlyingMultipleType是一个合约基础商品乘数类型
/////////////////////////////////////////////////////////////////////////
typedef double TXeleFtdcUnderlyingMultipleType;

/////////////////////////////////////////////////////////////////////////
///TFtdcCombOffsetFlagType是一个组合开平标志类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcCombOffsetFlagType[5];

/////////////////////////////////////////////////////////////////////////
///TFtdcCombHedgeFlagType是一个组合投机套保标志类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcCombHedgeFlagType[5];

/////////////////////////////////////////////////////////////////////////
///TFtdcRatioType是一个比率类型
/////////////////////////////////////////////////////////////////////////
typedef double TXeleFtdcRatioType;

/////////////////////////////////////////////////////////////////////////
///TFtdcMoneyType是一个资金类型
/////////////////////////////////////////////////////////////////////////
typedef double TXeleFtdcMoneyType;

/////////////////////////////////////////////////////////////////////////
///TFtdcLargeVolumeType是一个大额数量类型
/////////////////////////////////////////////////////////////////////////
typedef double TXeleFtdcLargeVolumeType;

/////////////////////////////////////////////////////////////////////////
///TFtdcNewsUrgencyType是一个紧急程度类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcNewsUrgencyType;

/////////////////////////////////////////////////////////////////////////
///TFtdcSequenceSeriesType是一个序列系列号类型
/////////////////////////////////////////////////////////////////////////
typedef short TXeleFtdcSequenceSeriesType;

/////////////////////////////////////////////////////////////////////////
///TFtdcCommPhaseNoType是一个通讯时段号类型
/////////////////////////////////////////////////////////////////////////
typedef short TXeleFtdcCommPhaseNoType;

/////////////////////////////////////////////////////////////////////////
///TFtdcContentLengthType是一个正文长度类型
/////////////////////////////////////////////////////////////////////////
typedef int TXeleFtdcContentLengthType;

/////////////////////////////////////////////////////////////////////////
///TFtdcErrorMsgType是一个错误信息类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcErrorMsgType[81];

/////////////////////////////////////////////////////////////////////////
///TFtdcAbstractType是一个消息摘要类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAbstractType[81];

/////////////////////////////////////////////////////////////////////////
///TFtdcContentType是一个消息正文类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcContentType[501];

/////////////////////////////////////////////////////////////////////////
///TFtdcURLLinkType是一个WEB地址类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcURLLinkType[201];

/////////////////////////////////////////////////////////////////////////
///TFtdcIdentifiedCardNoType是一个证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcIdentifiedCardNoType[51];

/////////////////////////////////////////////////////////////////////////
///TFtdcIdentifiedCardNoV1Type是一个原证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcIdentifiedCardNoV1Type[21];

/////////////////////////////////////////////////////////////////////////
///TFtdcPartyNameType是一个参与人名称类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcPartyNameType[81];

/////////////////////////////////////////////////////////////////////////
///TFtdcIdCardTypeType是一个证件类型类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcIdCardTypeType[16];

/////////////////////////////////////////////////////////////////////////
///TFtdcAdminOrderCommandFlagType是一个管理报单指令类型
/////////////////////////////////////////////////////////////////////////
///不合规的持仓强平
#define XELE_FTDC_AOC_InvalidPositionForceClose '1'
///初始化交易会员信用限额
#define XELE_FTDC_AOC_InitCreditLimit '2'
///调整交易会员信用限额
#define XELE_FTDC_AOC_AlterCreditLimit '3'
///取消交易会员信用限额
#define XELE_FTDC_AOC_CancelCreditLimit '4'

typedef char TXeleFtdcAdminOrderCommandFlagType;

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcFrontListType是交易所交易前置代码列表类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcFrontListType[16];

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcExchangeFrontType是交易所交易前置描述符类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcExchangeFrontType[3];

///用户指定交易所前置报单使能开启
#define XELE_FTDC_EXCHANGE_FRONT_ENABLE 'E'

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcAppIDType是终端软件AppID类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAppIDType[29];

/////////////////////////////////////////////////////////////////////////
///TXeleFtdcAuthInfoType是终端软件授权码类型
/////////////////////////////////////////////////////////////////////////
typedef char TXeleFtdcAuthCodeType[17];


#endif
